Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Static Public Member Functions | Protected Member Functions
Argus::CameraProvider Class Reference

`#include <CameraProvider.h>`

Inheritance diagram for Argus::CameraProvider:

List of all members.

## Static Public Member Functions
static CameraProvider * | create (Status *status=NULL)
| Creates and returns a new CameraProvider.

## Protected Member Functions
| ~CameraProvider ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()
Protected Member Functions inherited from Argus::Destructable
| ~Destructable ()

## Additional Inherited Members
Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.
Public Member Functions inherited from Argus::Destructable
virtual void | destroy ()=0
| Destroy this object.

## Detailed Description

Definition at line 51 of file CameraProvider.h.

## Constructor & Destructor Documentation

Argus::CameraProvider::~CameraProvider | ( |  | ) |
| inline protected

Definition at line 65 of file CameraProvider.h.

## Member Function Documentation

static CameraProvider* Argus::CameraProvider::create | ( | Status * | status = `NULL` | ) |
| static

Creates and returns a new CameraProvider.

If a CameraProvider object has already been created, this method will return a pointer to that object.

Parameters:

  [out] | status | Optional pointer to return success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/CameraProvider.h